Commit e12a4401 authored by Jure's avatar Jure

chore(client): bump apollo dependencies

parent b625ce78
...@@ -15,14 +15,14 @@ ...@@ -15,14 +15,14 @@
"dependencies": { "dependencies": {
"@pubsweet/ui": "^9.1.3", "@pubsweet/ui": "^9.1.3",
"@pubsweet/ui-toolkit": "^2.0.7", "@pubsweet/ui-toolkit": "^2.0.7",
"apollo-cache-inmemory": "^1.2.4", "apollo-cache-inmemory": "^1.4.2",
"apollo-client": "^2.3.4", "apollo-client": "^2.4.12",
"apollo-link": "^1.2.1", "apollo-link": "^1.2.1",
"apollo-link-context": "^1.0.5", "apollo-link-context": "^1.0.5",
"apollo-link-http": "^1.5.4", "apollo-link-http": "^1.5.4",
"apollo-link-ws": "^1.0.8", "apollo-link-ws": "^1.0.8",
"apollo-upload-client": "^8.0.0", "apollo-upload-client": "^8.0.0",
"apollo-utilities": "^1.0.27", "apollo-utilities": "^1.1.2",
"authsome": "^0.1.0", "authsome": "^0.1.0",
"config": "^3.0.1", "config": "^3.0.1",
"event-source-polyfill": "^0.0.10", "event-source-polyfill": "^0.0.10",
......
...@@ -1958,14 +1958,15 @@ apollo-cache-inmemory@^1.1.7: ...@@ -1958,14 +1958,15 @@ apollo-cache-inmemory@^1.1.7:
apollo-utilities "^1.0.26" apollo-utilities "^1.0.26"
optimism "^0.6.6" optimism "^0.6.6"
apollo-cache-inmemory@^1.2.4: apollo-cache-inmemory@^1.4.2:
version "1.3.12" version "1.4.2"
resolved "https://registry.yarnpkg.com/apollo-cache-inmemory/-/apollo-cache-inmemory-1.3.12.tgz#cf7ef7c15730d0b6787d79047d5c06087ac31991" resolved "https://registry.yarnpkg.com/apollo-cache-inmemory/-/apollo-cache-inmemory-1.4.2.tgz#c91aeb4adff45cdc7872d603cbff055fa9cd5021"
integrity sha512-jxWcW64QoYQZ09UH6v3syvCCl3MWr6bsxT3wYYL6ORi8svdJUpnNrHTcv5qXqJYVg/a+NHhfEt+eGjJUG2ytXA== integrity sha512-fDVmj5j1e3W+inyuSwjIcMgbQ4edcFgmiKTBMFAEKAq0jg33X7FrbDX8JT2t5Vuf75Mva50JDlt5wXdu7C6WuA==
dependencies: dependencies:
apollo-cache "^1.1.22" apollo-cache "^1.1.25"
apollo-utilities "^1.0.27" apollo-utilities "^1.1.2"
optimism "^0.6.8" optimism "^0.6.9"
tslib "^1.9.3"
apollo-cache@1.1.21: apollo-cache@1.1.21:
version "1.1.21" version "1.1.21"
...@@ -1974,7 +1975,15 @@ apollo-cache@1.1.21: ...@@ -1974,7 +1975,15 @@ apollo-cache@1.1.21:
dependencies: dependencies:
apollo-utilities "^1.0.26" apollo-utilities "^1.0.26"
apollo-cache@1.1.22, apollo-cache@^1.1.21, apollo-cache@^1.1.22: apollo-cache@1.1.25, apollo-cache@^1.1.25:
version "1.1.25"
resolved "https://registry.yarnpkg.com/apollo-cache/-/apollo-cache-1.1.25.tgz#87a15a2a19993bb07234ccee6839b59d6fb49ac5"
integrity sha512-9HhI/tVEHAeGaJJvi1Vpf6PzXUCA0PqNbigi2G3uOc180JjxbcaBvEbKXMEDb/UyTXkFWzI4PiPDuDQFqmIMSA==
dependencies:
apollo-utilities "^1.1.2"
tslib "^1.9.3"
apollo-cache@^1.1.21:
version "1.1.22" version "1.1.22"
resolved "https://registry.yarnpkg.com/apollo-cache/-/apollo-cache-1.1.22.tgz#d4682ea6e8b2508a934f61c2fd9e36b4a65041d9" resolved "https://registry.yarnpkg.com/apollo-cache/-/apollo-cache-1.1.22.tgz#d4682ea6e8b2508a934f61c2fd9e36b4a65041d9"
integrity sha512-8PoxhQLISj2oHwT7i/r4l+ly4y3RKZls+dtXzAewu3U77P9dNZKhYkRNAhx9iEfsrNoHgXBV8vMp64hb1uYh+g== integrity sha512-8PoxhQLISj2oHwT7i/r4l+ly4y3RKZls+dtXzAewu3U77P9dNZKhYkRNAhx9iEfsrNoHgXBV8vMp64hb1uYh+g==
...@@ -2007,20 +2016,19 @@ apollo-client@^2.2.2: ...@@ -2007,20 +2016,19 @@ apollo-client@^2.2.2:
optionalDependencies: optionalDependencies:
"@types/async" "2.0.50" "@types/async" "2.0.50"
apollo-client@^2.3.4: apollo-client@^2.4.12:
version "2.4.8" version "2.4.12"
resolved "https://registry.yarnpkg.com/apollo-client/-/apollo-client-2.4.8.tgz#3a798f1076243465a59061d44d11bd030b68deb9" resolved "https://registry.yarnpkg.com/apollo-client/-/apollo-client-2.4.12.tgz#9fa15f502d04f8cc788a9fbb825163b437681504"
integrity sha512-OAFbCTnGPtaIv0j+EZYzY20d+MD2JNbJ/YXZ4s0/oZlSg87bb0gjcIbccw2lnytipymZcZNr5ArFFeh0saGEwA== integrity sha512-E5ClFSB9btJLYibLKwLDSCg+w9tI+25eZgXOM+DClawu7of4d/xhuV/xvpuZpsMP3qwrp0QPacBnfG4tUJs3/w==
dependencies: dependencies:
"@types/zen-observable" "^0.8.0" "@types/zen-observable" "^0.8.0"
apollo-cache "1.1.22" apollo-cache "1.1.25"
apollo-link "^1.0.0" apollo-link "^1.0.0"
apollo-link-dedup "^1.0.0" apollo-link-dedup "^1.0.0"
apollo-utilities "1.0.27" apollo-utilities "1.1.2"
symbol-observable "^1.0.2" symbol-observable "^1.0.2"
tslib "^1.9.3"
zen-observable "^0.8.0" zen-observable "^0.8.0"
optionalDependencies:
"@types/async" "2.0.50"
apollo-link-context@^1.0.5: apollo-link-context@^1.0.5:
version "1.0.12" version "1.0.12"
...@@ -2143,7 +2151,15 @@ apollo-utilities@1.0.26, apollo-utilities@^1.0.1: ...@@ -2143,7 +2151,15 @@ apollo-utilities@1.0.26, apollo-utilities@^1.0.1:
dependencies: dependencies:
fast-json-stable-stringify "^2.0.0" fast-json-stable-stringify "^2.0.0"
apollo-utilities@1.0.27, apollo-utilities@^1.0.0, apollo-utilities@^1.0.26, apollo-utilities@^1.0.27: apollo-utilities@1.1.2, apollo-utilities@^1.1.2:
version "1.1.2"
resolved "https://registry.yarnpkg.com/apollo-utilities/-/apollo-utilities-1.1.2.tgz#aa5eca9d1f1eb721c381a22e0dde03559d856db3"
integrity sha512-EjDx8vToK+zkWIxc76ZQY/irRX52puNg04xf/w8R0kVTDAgHuVfnFVC01O5vE25kFnIaa5em0pFI0p9b6YMkhQ==
dependencies:
fast-json-stable-stringify "^2.0.0"
tslib "^1.9.3"
apollo-utilities@^1.0.0, apollo-utilities@^1.0.26, apollo-utilities@^1.0.27:
version "1.0.27" version "1.0.27"
resolved "https://registry.yarnpkg.com/apollo-utilities/-/apollo-utilities-1.0.27.tgz#77c550f9086552376eca3a48e234a1466b5b057e" resolved "https://registry.yarnpkg.com/apollo-utilities/-/apollo-utilities-1.0.27.tgz#77c550f9086552376eca3a48e234a1466b5b057e"
integrity sha512-nzrMQ89JMpNmYnVGJ4t8zN75gQbql27UDhlxNi+3OModp0Masx5g+fQmQJ5B4w2dpRuYOsdwFLmj3lQbwOKV1Q== integrity sha512-nzrMQ89JMpNmYnVGJ4t8zN75gQbql27UDhlxNi+3OModp0Masx5g+fQmQJ5B4w2dpRuYOsdwFLmj3lQbwOKV1Q==
...@@ -11164,13 +11180,20 @@ opn@5.4.0, opn@^5.1.0: ...@@ -11164,13 +11180,20 @@ opn@5.4.0, opn@^5.1.0:
dependencies: dependencies:
is-wsl "^1.1.0" is-wsl "^1.1.0"
optimism@^0.6.6, optimism@^0.6.8: optimism@^0.6.6:
version "0.6.8" version "0.6.8"
resolved "https://registry.yarnpkg.com/optimism/-/optimism-0.6.8.tgz#0780b546da8cd0a72e5207e0c3706c990c8673a6" resolved "https://registry.yarnpkg.com/optimism/-/optimism-0.6.8.tgz#0780b546da8cd0a72e5207e0c3706c990c8673a6"
integrity sha512-bN5n1KCxSqwBDnmgDnzMtQTHdL+uea2HYFx1smvtE+w2AMl0Uy31g0aXnP/Nt85OINnMJPRpJyfRQLTCqn5Weg== integrity sha512-bN5n1KCxSqwBDnmgDnzMtQTHdL+uea2HYFx1smvtE+w2AMl0Uy31g0aXnP/Nt85OINnMJPRpJyfRQLTCqn5Weg==
dependencies: dependencies:
immutable-tuple "^0.4.9" immutable-tuple "^0.4.9"
optimism@^0.6.9:
version "0.6.9"
resolved "https://registry.yarnpkg.com/optimism/-/optimism-0.6.9.tgz#19258ff8b3be0cea29ac35f06bff818e026e30bb"
integrity sha512-xoQm2lvXbCA9Kd7SCx6y713Y7sZ6fUc5R6VYpoL5M6svKJbTuvtNopexK8sO8K4s0EOUYHuPN2+yAEsNyRggkQ==
dependencies:
immutable-tuple "^0.4.9"
optimist@0.2: optimist@0.2:
version "0.2.8" version "0.2.8"
resolved "https://registry.yarnpkg.com/optimist/-/optimist-0.2.8.tgz#e981ab7e268b457948593b55674c099a815cac31" resolved "https://registry.yarnpkg.com/optimist/-/optimist-0.2.8.tgz#e981ab7e268b457948593b55674c099a815cac31"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment